summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-04-19 15:09:50 +0200
committerPatrick Lauer <patrick@gentoo.org>2016-04-19 15:19:17 +0200
commit4cdb8d6af44787fe96ffb7c547e9ea99147d0115 (patch)
treef259b04c264cd17b7c5eb30740d292c6e2142f38
parentnet-misc/spice-gtk: Fix gtk+ pkg ref (diff)
downloadgentoo-4cdb8d6af44787fe96ffb7c547e9ea99147d0115.tar.gz
gentoo-4cdb8d6af44787fe96ffb7c547e9ea99147d0115.tar.bz2
gentoo-4cdb8d6af44787fe96ffb7c547e9ea99147d0115.zip
dev-python/pyspf: Bump
Package-Manager: portage-2.2.28
-rw-r--r--dev-python/pyspf/Manifest1
-rw-r--r--dev-python/pyspf/pyspf-2.0.12.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/pyspf/Manifest b/dev-python/pyspf/Manifest
index 738d0cc6d7d..9038dc2da64 100644
--- a/dev-python/pyspf/Manifest
+++ b/dev-python/pyspf/Manifest
@@ -1 +1,2 @@
DIST pyspf-2.0.11.tar.gz 63594 SHA256 693e80df3d61d69daaa2590e0f2bc8167d5fa36ce373d43987984cb00ae23928 SHA512 cababa82d1b6c206033a6583a67502d982a2c34baec0ccc08513a2bc9beb4cfc84dd5d615ac852fd25885c4abd43d9e8704f517c70fadb4a600d3b8a6254d755 WHIRLPOOL f1f97b8d0c6207a01d5d48aa3f63948749d3ceca590c146ec846638e263ba8155616e9d34af0bdfde3c1438869a3727a98154c054e0e33632c8cccd23d3f2e3d
+DIST pyspf-2.0.12t.tar.gz 67189 SHA256 8aa21ba0e3aff8a4e8ad8f586c500a5d1f9c4c902c3f11bcc107465857cd41a2 SHA512 1ad23b5dea4aa8edd03b3fd9fc675685bcb0e216474534563c55988df040abd4e2bbc8488bba80d26466877e8b2ec88cbadc2f67eb8c4bf6f26f975d8af81d8d WHIRLPOOL 9159c23a0f9b56e6069f4cf35cadd5af6ab017f8bee4e7d5f98bf94c2cd0a336660d95f35a81c769b19c96235500760e6a9bde504b3e5c9f1419a05d19913d3e
diff --git a/dev-python/pyspf/pyspf-2.0.12.ebuild b/dev-python/pyspf/pyspf-2.0.12.ebuild
new file mode 100644
index 00000000000..b1bbae67e85
--- /dev/null
+++ b/dev-python/pyspf/pyspf-2.0.12.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_REQ_USE="ipv6?"
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the Sender Policy Framework (SPF) protocol"
+HOMEPAGE="https://pypi.python.org/pypi/pyspf"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}t.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ipv6 test"
+
+# >=python-3.3 comes with the built-in ipaddress module
+RDEPEND="dev-python/authres[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/ipaddr-2.1.10[${PYTHON_USEDEP}]' python2_7)
+ $(python_gen_cond_dep 'dev-python/pydns:2[${PYTHON_USEDEP}]' python2_7)
+ $(python_gen_cond_dep 'dev-python/pydns:3[${PYTHON_USEDEP}]' 'python3*')"
+
+DEPEND="test? ( ${RDEPEND}
+ dev-python/pyyaml[${PYTHON_USEDEP}] )"
+
+REQUIRED_USE="test? ( ipv6 )"
+
+python_test() {
+ pushd test &> /dev/null
+ "${PYTHON}" testspf.py || die
+ popd &> /dev/null
+}